{
    "version": "0.2.0",
    "configurations": [
        {
            "name": "FaceAccessDebug",
            "type": "cppdbg",
            "request": "launch",
            "miDebuggerPath": "arm-linux-gnueabihf-gdb",
            "miDebuggerServerAddress": "192.168.8.122:8080",
            "program": "${workspaceFolder}/build/src/gate_face/GateFace",
            "args": [],
            "stopAtEntry": false,
            "cwd": "${workspaceFolder}",
            "environment": [],
            "externalConsole": false,
            "logging": {
                "engineLogging": false
            },
            "MIMode": "gdb",
            "useExtendedRemote": true,
            "setupCommands": [
                {
                    "text": "set remote exec-file /sdcard/GateFace",
                    "description": "设置嵌入式单板加载的程序",
                    "ignoreFailures": false
                }
            ]
        }
    ]
}